Package org.jcsp.net

# Interface Node.Attributes

Enclosing class:
  `Node`

public static interface Node.Attributes
An interface for exposing access to the private attributes. This is public.

## Method Summary

Modifier and Type
Method
Description
`NodeInitFailedException`
`exception(String msg)`
`NodeKey`
`getNodeKey()`
`ProtocolManager`
`getProtocolManager()`
`ServiceManager`
`getServiceManager()`
`void`
`setInitialized()`
`void`
`setSpecifications(org.jcsp.net.Specification[] specs)`
`NodeID`
`setUIFactory(UIFactory factory)`
`void`
`startLinkManager()`

## Method Details

### setSpecifications

void setSpecifications(org.jcsp.net.Specification[] specs)

### setUIFactory

NodeID setUIFactory(UIFactory factory)

### setInitialized

void setInitialized()

### getProtocolManager

ProtocolManager getProtocolManager()

### getServiceManager

ServiceManager getServiceManager()

### getNodeKey

NodeKey getNodeKey()

### exception

NodeInitFailedException exception(String msg)

### startLinkManager

void startLinkManager()